function [fitresult, gof] = createFit1(x, data1)
%CREATEFIT1(X,DATA1)
%  Create a fit.
%
%  Data for 'untitled fit 1' fit:
%      X Input: x
%      Y Output: data1
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 29-May-2024 12:38:23


%% Fit: 'untitled fit 1'.
[xData, yData] = prepareCurveData( x, data1 );

% Set up fittype and options.
ft = fittype( 'Max+(min-max)/(1+(10^x/EC50)^(HillsSlope))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.Lower = [1e-05 -Inf -Inf -Inf -Inf];
opts.StartPoint = [0.706046088019609 0.0318328463774207 0.27692298496089 0.0461713906311539 0.0971317812358475];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% Plot fit with data.
figure( 'Name', 'untitled fit 1' );
h = plot( fitresult, xData, yData );
legend( h, 'data1 vs. x', 'untitled fit 1', 'Location', 'NorthEast', 'Interpreter', 'none' );
% Label axes
xlabel( 'x', 'Interpreter', 'none' );
ylabel( 'data1', 'Interpreter', 'none' );
grid on


