function [fitresult, gof] = createMicrotiterFit(x, compound1)
%CREATEFIT1(X,COMPOUND1)
%  Create a fit.
%
%  Data for 'untitled fit 1' fit:
%      X Input : x
%      Y Output: compound1
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 05-Jul-2018 09:13:48


%% Fit: 'untitled fit 1'.
[xData, yData] = prepareCurveData( x, compound1 );

% Set up fittype and options.
ft = fittype( 'max + (min-max)/(1 + (10^x/EC50)^(Hills_Slope))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.Lower = [1e-05 0 0 -20];
opts.StartPoint = [0.853031117721894 0.622055131485066 0.350952380892271 0.513249539867053];
opts.Upper = [10000000 10 120 5];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );


% Plot fit with data.
plot( fitresult, x, compound1 );
legend off
% Label axes
xlabel x
ylabel compound
grid on
hold on
